org.openrdf.elmo.smusher.servlet
Class SmusherServlet

java.lang.Object
  extended by javax.servlet.GenericServlet
      extended by javax.servlet.http.HttpServlet
          extended by org.openrdf.elmo.smusher.servlet.SmusherServlet
All Implemented Interfaces:
Serializable, Servlet, ServletConfig

public class SmusherServlet
extends HttpServlet

Web interface to the Elmo smusher. See the provided user manual for the documentation of initialization and request parameters.

Author:
Peter Mika (pmika@cs.vu.nl)
See Also:
Serialized Form

Constructor Summary
SmusherServlet()
           
 
Method Summary
 void doGet(HttpServletRequest request, HttpServletResponse response)
           
static void main(String[] args)
          For debugging purposes only.
static void smush(Repository repository, Writer log)
           
 
Methods inherited from class javax.servlet.http.HttpServlet
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service
 
Methods inherited from class javax.servlet.GenericServlet
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

SmusherServlet

public SmusherServlet()
Method Detail

smush

public static void smush(Repository repository,
                         Writer log)
                  throws OpenRDFException
Throws:
OpenRDFException

doGet

public void doGet(HttpServletRequest request,
                  HttpServletResponse response)
           throws ServletException,
                  IOException
Overrides:
doGet in class HttpServlet
Throws:
ServletException
IOException

main

public static void main(String[] args)
                 throws Exception
For debugging purposes only.

Parameters:
args -
Throws:
Exception


Copyright © 2004-2008 Aduna. All Rights Reserved.